Bug 1278385 - Data Tiering:Detach tier operation should be resilient(continue) when the volume is restarted
Summary: Data Tiering:Detach tier operation should be resilient(continue) when the vol...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: All
OS: All
low
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Dan Lambright
QA Contact: krishnaram Karthick
URL:
Whiteboard: tier-attach-detach
Depends On: 1265184
Blocks: 1276742 1351522
TreeView+ depends on / blocked
 
Reported: 2015-11-05 11:34 UTC by nchilaka
Modified: 2017-03-23 05:24 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1265184
Environment:
Last Closed: 2017-03-23 05:24:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description nchilaka 2015-11-05 11:34:37 UTC
+++ This bug was initially created as a clone of Bug #1265184 +++

Description of problem:
========================
I issued a detach tier start and while in progress or even when the detach tier is completed, but not yet commited, I did a volume restart.
With this I expect the detach tier to continue, but I see that the detach tier has stopped and says no detach tier is in progress.

The implications are as below:
1)the user will have to re-trigger the operation of detach tier start freshly
2)As the tier deamon is started instead of reblance demon(for detaching tier), this can make promotes to hot tier and hence irritate the admin.


Version-Release number of selected component (if applicable):
============================================================

[root@zod glusterfs]# rpm -qa|grep gluster
glusterfs-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-fuse-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-debuginfo-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-api-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-client-xlators-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-server-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-cli-3.7.4-0.43.gitf139283.el7.centos.x86_64
gglusterfs-libs-3.7.4-0.43.gitf139283.el7.centos.x86_64
l[root@zod glusterfs]# gluster --version
glusterfs 3.7.4 built on Sep 19 2015 01:30:43
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.


How reproducible:
=================
easily


Steps to Reproduce(RHG3-9344):
=====================
 1)have a  "standard test volume configuration"
2)have with lot of data on hot tier
3)now issue a detach tier start on this volume
4)Now after some time, issue detach tier status and volume status too
5) now immediately stop the volume
6)check the detach tier status
7)Now restart the volume
8)check if the detach tier continues using detach tier status
9)after detach tier completes, issue a detach tier commit


Expected results:
================
detach tier must continue after a vol is restarted

Comment 5 Nithya Balachandran 2016-08-03 07:11:13 UTC
Targeting this BZ for 3.2.0.

Comment 7 Atin Mukherjee 2016-09-17 15:19:24 UTC
Upstream mainline : http://review.gluster.org/12718
Upstream 3.8 : Available as part of branching from mainline

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 10 krishnaram Karthick 2016-10-11 12:14:59 UTC
Verified the fix in build - glusterfs-server-3.8.4-2. The issue reported in the bug is no more seen.

Steps followed to verify:

1) created a dist-disperse volume, created multiple files, directories
2) attached hot tier
3) created more files and dirs 
4) start detach tier 
5) while the detach tier is in progress, stopped and started the volume
6) checked detach tier status, detach tier was in progress
7) restarted the volume 4-5 times
8) allowed detach tier to complete
9) committed detach tier

No issues were seen during the above test. Moving the bug to verified.

Comment 12 errata-xmlrpc 2017-03-23 05:24:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.